%bcond_without check

%global goipath         github.com/mitchellh/go-ps
Version:                1.0.0
%global tag             v%{version}

%gometa

%global common_description %{expand:
Find, list, and inspect processes from Go (golang).}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Find, list, and inspect processes from Go (golang)

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: go-rpm-macros

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck

%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
